#include "pgm_file.h"
#include <stdio.h>

void output_pgm(float *buf, int m, int n) {

  /* find the maximum value */

  float maxval = buf[0];
  float minval = buf[0];
  int newmax = 65535; 

  int i, row, col;

  for (i=0; i < m * n; i++)
    if (buf[i]>maxval) 
      maxval = buf[i]; 
    else if (buf[i]<minval)
      minval = buf[i];
  
  /* output stage */

  printf("P2 \n");
  printf("# maximum value is %f\n# minimum value is %f\n",maxval,minval);
  printf("%d %d %d\n", n, m, newmax);

  for (row=0; row<m; row++) {
    for (col=0; col<n; col++) {
      if (col>0) printf(" ");
      printf("%u",(int)((buf[row * n + col] - minval) * newmax / (maxval-minval))); 
    }
    printf("\n");
  }

}
