function matrix = spi_read(filename)
% Read in the SPIDER format image given by the filename
%
%   function matrix = spi_read(filename)
%
% Implemented as a MEX function (C code)
%
% The data is returned as a three-dimensional array with
% dimensions nrow x nsam x nslice.
%
% Updated versions may be found at:
%
%   http://splorg.org/people/tobin/projects/israel/spi_file/
%
% See also SHIFTDIM, SQUEEZE.
%
% 2002-06-24 Tobin Fricke <tobin@splorg.org> Weizmann Institute of Science; Rehovot, Israel
% $Id: spi_read.m,v 1.1 2002/06/24 15:21:40 tobin Exp tobin $































